sc::vec2(3)

NAME
sc::vec2 -

SYNOPSIS

  Public Member Functions
vec2 (const double x, const double y)
vec2 (const double d)
vec2 (const vec2 &v)
vec2 (const vec3 &v)
vec2 (const vec3 &v, int dropAxis)
vec2 & operator= (const vec2 &v)
vec2 & operator+= (const vec2 &v)
vec2 & operator-= (const vec2 &v)
vec2 & operator*= (const double d)
vec2 & operator/= (const double d)
double & operator[] (int i)
const double & operator[] (int i) const
double length ()
double length2 ()
vec2 & normalize ()
vec2 & apply (V_FCT_PTR fct)

  Protected Attributes
double n [2]

  Friends
class vec3
vec2 operator- (const vec2 &v)
vec2 operator+ (const vec2 &a, const vec2 &b)
vec2 operator- (const vec2 &a, const vec2 &b)
vec2 operator* (const vec2 &a, const double d)
vec2 operator* (const double d, const vec2 &a)
vec2 operator* (const mat3 &a, const vec2 &v)
vec2 operator* (const vec2 &v, mat3 &a)
double operator* (const vec2 &a, const vec2 &b)
vec2 operator/ (const vec2 &a, const double d)
vec3 operator^ (const vec2 &a, const vec2 &b)
int operator== (const vec2 &a, const vec2 &b)
int operator!= (const vec2 &a, const vec2 &b)
std::ostream & operator<< (std::ostream &s, vec2 &v)
std::istream & operator>> (std::istream &s, vec2 &v)
void swap (vec2 &a, vec2 &b)
vec2 min (const vec2 &a, const vec2 &b)
vec2 max (const vec2 &a, const vec2 &b)
vec2 prod (const vec2 &a, const vec2 &b)

Author

Generated automatically by Doxygen for MPQC from the source code.